Package com.google.protobuf

# Class GeneratedMessage.ExtendableMessage.ExtensionWriter

java.lang.Object
com.google.protobuf.GeneratedMessage.ExtendableMessage.ExtensionWriter

All Implemented Interfaces:
  `GeneratedMessage.ExtendableMessage.ExtensionSerializer`

Direct Known Subclasses:
  `GeneratedMessageV3.ExtendableMessage.ExtensionWriter`

Enclosing class:
  `GeneratedMessage.ExtendableMessage<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>`

protected class GeneratedMessage.ExtendableMessage.ExtensionWriter extends Object implements GeneratedMessage.ExtendableMessage.ExtensionSerializer
ExtensionSerializer that writes extensions from the FieldSet, for messages with extensions.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ExtensionWriter(boolean messageSetWireFormat)`

## Method Summary

Modifier and Type
Method
Description
`void`
`writeUntil(int end, CodedOutputStream output)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtensionWriter

protected ExtensionWriter(boolean messageSetWireFormat)

## Method Details

### writeUntil

public void writeUntil(int end, CodedOutputStream output) throws IOException

Specified by:
  `writeUntil` in interface `GeneratedMessage.ExtendableMessage.ExtensionSerializer`
Throws:
  `IOException`